it.gov.taccuino

## Class TaccuinoType.OsservazioniPersonali.NoteGenerali

- java.lang.Object
- - it.gov.taccuino.TaccuinoType.OsservazioniPersonali.NoteGenerali

- Enclosing class:
    TaccuinoType.OsservazioniPersonali

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.OsservazioniPersonali.NoteGenerali
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <simpleContent>
           <extension base="<urn:taccuino:common>string1_2000">
             <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XMLGregorianCalendar` | `dataAggiornamento`
    `protected XMLGregorianCalendar` | `dataRegistrazione`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoteGenerali()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLGregorianCalendar` | `getDataAggiornamento()` Recupera il valore della proprietà dataAggiornamento.
    `XMLGregorianCalendar` | `getDataRegistrazione()` Recupera il valore della proprietà dataRegistrazione.
    `String` | `getValue()` Recupera il valore della proprietà value.
    `void` | `setDataAggiornamento(XMLGregorianCalendar value)` Imposta il valore della proprietà dataAggiornamento.
    `void` | `setDataRegistrazione(XMLGregorianCalendar value)` Imposta il valore della proprietà dataRegistrazione.
    `void` | `setValue(String value)` Imposta il valore della proprietà value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String value

    - #### dataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataRegistrazione

    - #### dataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataAggiornamento

  - ### Constructor Detail

    - #### NoteGenerali

          public NoteGenerali()

  - ### Method Detail

    - #### getValue

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getValue()

      Recupera il valore della proprietà value.
      Returns:
        possible object is `String`

    - #### setValue

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setValue(String value)

      Imposta il valore della proprietà value.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataRegistrazione()

      Recupera il valore della proprietà dataRegistrazione.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataRegistrazione(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataRegistrazione.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataAggiornamento()

      Recupera il valore della proprietà dataAggiornamento.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataAggiornamento(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataAggiornamento.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

Copyright © 2024. All rights reserved.